Skip to content

Musement API (3.5.0)

For merchant or affiliate partners wishing to use the Musement API.

Authentication

See the Authentication section for details on how to authenticate with the API.

Release notes

2024-06-18

Endpoints

  • GET /activities/{activityUuid}/dates/{date}
    • Changed default min_buy value from -1 to 1

2024-02-21

Endpoints

  • Added GET /orders/{orderUuid}/refunds
    • Returns an array of paid refunds for an order

2024-02-20

Endpoints

  • GET /activities/{activityUuid}/dates/{date}
    • Added availability, max_buy and min_buy properties to timeslots. For more info, check out our guide
Download OpenAPI description
Overview
Languages
Servers
Mock server
https://partner-api.musement.com/_mock/reference/openapi
Sandbox server
https://sandbox.musement.com/api/v3
Production server
https://api.musement.com/api/v3

Searching activities

A collection of endpoints which can be used to search the catalog for relevant activities.

Operations

Activity info

A collection of endpoints which can be used to provide information to customers about a specific activity.

Operations

Pickups

Some activities require selecting a pickup location as part of the booking flow.

Operations

Dates

A collection of endpoints for selecting available dates and products.

Operations

Carts

A collection of endpoints for managing a customer's cart during the booking flow.

Operations

Customer info

When making a reservation, different steps must be taken to provide information about the customers. This collection includes endpoints for submitting info about the lead booker, extra customer data and participant info.

Operations

Orders

A collection of endpoints for managing orders as part of the booking flow.

Operations

Payments

A collection of endpoints regarding payment during the booking flow. Partners have multiple payment options at their disposal, depending on agreements with the Strategic partnerships team.

Operations

Cancellations

It is possible to cancel reservations, provided that the activity in question is refundable.

Operations

Activities

Activities can be any tour, attraction or experience that customers can reserve via the Musement API.

Operations

Categories

Categories group activities based on similar characteristics.

Operations

Cities

Cities are different types of destinations: islands, natural landmarks, beaches, actual cities and more.

Operations

Countries

A collection of endpoints related to countries in the Musement catalog.

Operations

Lists

Lists are collections of Musement activities and third-party destinations grouped together based on editorial themes.

Operations

Venues

Venues are popular attractions or landmarks.

Operations

Additional searches

A collection of additional endpoints which can be used to search parts of the catalog.

Operations

Carts

A collection of cart endpoints which are not strictly necessary for the booking flow.

Operations

Metadata

Metadata is used for configuring several activity properties.

Operations

Reviews

Customers may leave reviews about their experience with an activity. Reviews consist of a numeric rating and optional written comment.

Operations

Vouchers

A collection of endpoints to use at the end of the booking flow to retrieve reserved tickets and vouchers.

Operations

Webhooks

A collection of webhook requests that Musement's API can make to a partner's service.

Webhooks

Update order itemWebhook

Request

The API sends this request to a partner's service when an order item status changes (for example from PENDING to OK).

The body of the response is ignored. A 200 status code response confirms the request has been received and will be processed. All other status codes are treated as a failed attempt - another webhook request will be sent later.

Security
Webhook
Headers
Content-Typestringrequired

The format of the request and response.

Value"application/json"
Bodyapplication/json
order_idstring(^[0-9]+?$)required

The order's numeric ID.

Example: "13459345"
order_uuidstring(uuid)required

The order's UUID,

Example: "8e9e5c6e-ea7d-4934-8753-f00954f30d00"
order_createdstring(date-time)required

When the order was created.

Example: "2018-12-10T13:12:40+0000"
order_updatedstring(date-time)required

When the order was last updated.

Example: "2018-12-10T13:12:40+0000"
order_versionstring(^[0-9]+?$)required

A counter which tracks how many times the order has been updated.

Example: "16"
order_item_uuidstring(uuid)required

The order item's UUID

Example: "11045e18-e3ca-42e1-acb4-0d5be75036fd"
order_item_createdstring(date-time)required

When the order item was created.

Example: "2018-12-10T13:12:40+0000"
order_item_updatedstring(date-time)required

When the order item was last updated.

Example: "2018-12-10T13:12:40+0000"
order_item_versionstring(^[0-9]+?$)required

A counter which tracks how many times the order item has been updated.

Example: "22"
order_item_statusstringrequired

The status of the order item:

  • CANCELLATION_ERROR: an error occurred while processing a cancellation. This status is temporary and will change to either OK or REFUNDED after examination by Musement Customer Care
  • KO: there was an issue finalizing the order item
  • OK: the order item is valid
  • PENDING: the order item's payment and confirmation are in progress
  • REFUND_STARTED: a refund request for the item is being processed. This status is temporary and will change to REFUNDED once the request has been resolved
  • REFUNDED: the order item has been cancelled and either partially or fully refunded
Enum"CANCELLATION_ERROR""KO""OK""PENDING""REFUND_STARTED""REFUNDED"
Example: "OK"

Responses

Order item request successfully received

Activities

A collection of deprecated endpoints for activities.

Operations

Carts

A collection of deprecated endpoints for carts.

Operations

Cities

A collection of deprecated endpoints for cities.

Operations

Verticals

Verticals are a type of macro category which group various parts of the catalog together based on similar characteristics.

They are considered deprecated.

Operations

Cities

A collection of endpoints for cities that were removed from the API.

Operations

Countries

A collection of endpoints for countries that were removed from the API.

Operations

Events

A collection of endpoints for events, an older term for activities, that were removed from the API.

Operations

Misc

A collection of various endpoints that were removed from the API.

Operations

Venues

A collection of endpoints for venues that were removed from the API.

Operations